API reference · Alerting & response

Alert plans (escalation policies)

Who is told, in what order, after how long.

Base URL https://app.upfour.io/v1 · auth via Authorization: Bearer <key> · “Try it” runs from your browser — the key is kept in this tab only. Use a pls_test_ sandbox key to experiment freely.

GET /escalation-policies

scope escalation_policy.write stable returns 200

ParameterInTypeNotes
limit query integer default 50
cursor query string
client_id query uuid
all_clients query boolean
q query string
sort query string
curl -s https://app.upfour.io/v1/escalation-policies \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /escalation-policies

scope escalation_policy.write stable returns 201

curl -s -X POST https://app.upfour.io/v1/escalation-policies \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /escalation-policies/{policyID}

scope escalation_policy.write stable returns 200

ParameterInTypeNotes
policyIDrequired path uuid
curl -s https://app.upfour.io/v1/escalation-policies/<policyID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /escalation-policies/{policyID}

scope escalation_policy.write stable returns 200

ParameterInTypeNotes
policyIDrequired path uuid
curl -s -X PUT https://app.upfour.io/v1/escalation-policies/<policyID> \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /escalation-policies/{policyID}

scope escalation_policy.write stable returns 204

ParameterInTypeNotes
policyIDrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/escalation-policies/<policyID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /escalation-policies/{policyID}/test

scope escalation_policy.write stable returns 202

ParameterInTypeNotes
policyIDrequired path uuid
curl -s -X POST https://app.upfour.io/v1/escalation-policies/<policyID>/test \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.